#!/bin/sh

#目录地址
Root=/opt/app
File=/adhosts
#将进程名写入 pid.txt
echo "去广告hosts服务已经正常启动，请忽略删除线" >> /opt/pid.txt
#更新AdHosts文件
#启动命令
#下载更新最新规则
#wget -O adhost http://hosts.xuanlove.date/adhosts.php
#挂载AdHost文件到dnsmasq目录
ln -s $Root$File/adhost /etc/hosts.d/adhost
#重启dnsmasq
/etc/init.d/dnsmasq restart
#PHP判断插件运行状态
if [ -f /etc/hosts.d/adhost ]
then
    if [ -s /etc/hosts.d/adhost ]
    then
        echo "已安装AdHosts插件"
    else
        echo "安装失败"
    fi
else
    echo "未安装"
fi